### Enumeration

# Gtk SpinType

since: 4.0

#### Declaration

    enum Gtk.SpinType

#### Description [src]

The values of the GtkSpinType enumeration are used to specify the change to make in gtk_spin_button_spin().

Available since: 4.0

#### Members

`GTK_SPIN_STEP_FORWARD`

  Increment by the adjustments step increment.

  - Value: `0`
  - Nickname: `step-forward`
  - Available since: 4.0
`GTK_SPIN_STEP_BACKWARD`

  Decrement by the adjustments step increment.

  - Value: `1`
  - Nickname: `step-backward`
  - Available since: 4.0
`GTK_SPIN_PAGE_FORWARD`

  Increment by the adjustments page increment.

  - Value: `2`
  - Nickname: `page-forward`
  - Available since: 4.0
`GTK_SPIN_PAGE_BACKWARD`

  Decrement by the adjustments page increment.

  - Value: `3`
  - Nickname: `page-backward`
  - Available since: 4.0
`GTK_SPIN_HOME`

  Go to the adjustments lower bound.

  - Value: `4`
  - Nickname: `home`
  - Available since: 4.0
`GTK_SPIN_END`

  Go to the adjustments upper bound.

  - Value: `5`
  - Nickname: `end`
  - Available since: 4.0
`GTK_SPIN_USER_DEFINED`

  Change by a specified amount.

  - Value: `6`
  - Nickname: `user-defined`
  - Available since: 4.0